> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payor

> Create or submit payor via the Junction API. Requires authentication with your team API key.

<Card horizontal icon="person-digging" color="#57164A">
  This feature is in **closed beta**.

  Interested in this feature? Get in touch with your Customer Success Manager.
</Card>

Create a new payor.

Allows the creation of new payors that don't already exist in Junction's system. Created payors are tied to the team that created them, so they will only be returned as search results when [searched](/api-reference/lab-testing/insurance/search-payor-get) by that same team.


## OpenAPI

````yaml POST /v3/payor
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.495
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/payor:
    post:
      tags:
        - payor
      summary: Create Payor
      operationId: create_payor_v3_payor_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePayorBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFacingPayor'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreatePayorBody:
      properties:
        name:
          type: string
          title: Name
        address:
          $ref: '#/components/schemas/Address'
        provider:
          anyOf:
            - $ref: '#/components/schemas/PayorCodeExternalProvider'
            - type: 'null'
          description: ℹ️ This enum is non-exhaustive.
        provider_payor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Payor Id
      type: object
      required:
        - name
        - address
      title: CreatePayorBody
    ClientFacingPayor:
      properties:
        payor_code:
          type: string
          title: Payor Code
          description: Payor code returned for the insurance information.
        name:
          type: string
          title: Name
          description: Insurance name returned for the insurance information.
        aliases:
          items:
            type: string
          type: array
          title: Aliases
          description: Insurance name aliases returned for the insurance information.
        org_address:
          $ref: '#/components/schemas/Address'
          description: Insurance business address returned for the insurance information.
        source:
          $ref: '#/components/schemas/ClientFacingPayorCodeSource'
          description: >-
            The source of the payor, can be one of (platform, team). ℹ️ This
            enum is non-exhaustive.
      type: object
      required:
        - payor_code
        - name
        - aliases
        - org_address
        - source
      title: ClientFacingPayor
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    Address:
      properties:
        first_line:
          type: string
          title: First Line
        second_line:
          anyOf:
            - type: string
            - type: 'null'
          title: Second Line
          default: ''
        country:
          type: string
          title: Country
        zip:
          type: string
          title: Zip
        city:
          type: string
          title: City
        state:
          type: string
          title: State
        access_notes:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Access Notes
      type: object
      required:
        - first_line
        - country
        - zip
        - city
        - state
      title: Address
    PayorCodeExternalProvider:
      type: string
      enum:
        - change_healthcare
        - availity
        - stedi
        - waystar
        - claim_md
        - apero
        - pverify
      title: PayorCodeExternalProvider
      description: ℹ️ This enum is non-exhaustive.
    ClientFacingPayorCodeSource:
      type: string
      enum:
        - platform
        - team
      title: ClientFacingPayorCodeSource
      description: ℹ️ This enum is non-exhaustive.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````